#include "tools.h"

#include <qdir.h>


void Tools::PrintTime()
{
    qDebug() << QTime::currentTime().toString("hh:mm:ss");
}

QString Tools::GetTime()
{
    return QTime::currentTime().toString(("hh:mm:ss"));
}

QString Tools::CreateLocalPath(QString path)
{
    qDebug() << "Full path: " << path;
    qint8 pos = path.indexOf("Application");

    QString localPath = path.remove(0,--pos);

    qDebug() << "Local path: " << localPath;
    return localPath;
}

QString Tools::CreateFullPath(QString path)
{
    QString fullPath;
    qint8 pos = path.indexOf("Application");

    QString localPath = path.remove(0,--pos);

    qDebug() << "CLIENT: localPath" << localPath;
    fullPath = QDir::currentPath() + localPath;

    return fullPath;
}
